#!/bin/sh
# *******************************************************************************
#  Licencované materiály - vlastnictví IBM
#  (c) Copyright IBM Corporation 2006, 2012. Všechna práva vyhrazena.
#
#  Omezená práva uživatelů z řad amerických vládních institucí:
#  Použití, kopírování a zveřejnění je omezeno v souladu se smlouvou GSA ADP
#  Schedule Contract se společností IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Definujte proměnné prostředí odpovídající parametrům
# # skriptu rm_upgrade.sh a jejich výchozím hodnotám
# #
# #===========================================================
# #
# # Tento soubor se čte na začátku provedení skriptu
# # rm_upgrade.sh. Nastavuje jednu proměnnou prostředí pro
# # jeden platný parametr pomocí předdefinované výchozí hodnoty.
# #
# # Uživatelé mohou výchozí hodnotu upravit, a docílit tak
# # spouštění skriptu rm_upgrade.sh se svými vlastními hodnotami
# # bez nutnosti ručního zadávání parametrů s jejich hodnotami
# # do příkazového řádku.
# #
# # VAROVÁNÍ:
# # Není nutné nastavovat všechny proměnné pro každou
# # aplikaci. Před úpravou hodnoty si pozorně přečtěte
# # komentář.
# #
# #############################################################

# Parametr: -oldApplicationHome
# Použití: -oldApplicationHome <cesta_k_adresáři>
# Popis:
# 	Úplná cesta k domovskému adresáři aplikace ve staré instalaci.
# Výchozí:
# 	<není>
# Omezení:
#  - toto je povinný parametr
#  - <cesta_k_adresáři> musí určovat existující adresář a musí končit řetězcem 'server/conf'
#    např. /Jazz/IBM/RRC_3.x/jazz/server/conf
#
OLD_APPLICATION_HOME=

# Parametr: -applicationContextRoot
# Použití: -applicationContextRoot <kořen>
# Popis:
# Kontextový kořenový adresář aplikace.
# Výchozí:
# 	rm
# Omezení:
#  - <kořen> musí být platný název jednoho adresáře (tj. bez úvodního lomítka)
#
APPLICATION_CONTEXT_ROOT=

# Parametr: -oldJTSHome
# Použití: -oldJTSHome <cesta_k_adresáři>
# Popis:
# 	Úplná cesta k domovskému adresáři aplikace ve staré instalaci.
# Výchozí:
# 	<není>
# Omezení:
#  - <cesta_k_adresáři> musí odkazovat na existující adresář a končit řetězcem 'server/conf'
#  - Platný pouze pro upgrady RM a JTS
#
OLD_JTS_HOME=

# Parametr: -oldJTSContextRoot
# Použití: -oldJTSContextRoot <kořen>
# Popis:
# 	Kontextový kořenový adresář JTS staré instalace.
# Výchozí:
# 	jts
# Omezení:
#  - Akceptuje se pouze pro upgrade RM
#  - <kořen> musí být platný název jednoho adresáře (tj. bez úvodního lomítka)
#
OLD_JTS_CONTEXT_ROOT=

# Parametr: -updateTomcatFiles
# Použití: -updateTomcatFiles <yes | no>
# Popis:
# 	Zda mají být aktualizovány konfigurační soubory tomcat.
# Výchozí:
# 	yes
# Omezení:
#  - Jediné platné hodnoty: 'yes' a 'no'
#
UPDATE_TOMCAT_FILES=yes

# Parametr: -oldApplicationTomcatHome
# Použití: -oldApplicationTomcatHome <cesta_k_adresáři>
# Popis:
# 	Úplná cesta ke kořenovému adresáři aplikací serveru Tomcat ve staré instalaci.
# Výchozí:
# 	<není>
# Omezení:
#  - Akceptuje se pouze pro upgrade RM
#  - Musí být existujícím adresářem
#
OLD_TOMCAT_HOME=

# Parametr: -oldJTSTomcatHome
# Použití: -oldJTSTomcatHome <cesta k adresáři>
# Popis:
# 	Úplná cesta ke kořenovému adresáři Tomcat ve staré instalaci.
# Výchozí:
# 	<není>
# Omezení:
#  - Akceptuje se pouze pro upgrade RM
#  - Musí být existujícím adresářem
#
OLD_JTS_TOMCAT_HOME=

# Parametr: -newApplicationHome
# Použití: -newApplicationHome <cesta k adresáři>
# Popis:
# 	Cesta k domovskému adresáři aplikace v nové instalaci.
# Výchozí:
# 	conf
# Omezení:
#  - Akceptuje se pouze pro upgrade produktů RTC, QM a RM
#  - Je-li akceptován, jde o povinný parametr
#  - <cesta_k_adresáři> musí odkazovat na existující adresář a musí končit
#    řetězcem 'server/conf'
#    např. /Jazz/IBM/RRC_3.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"

# Parametr: -newJTSHome
# Použití: -newJTSHome <cesta_k_adresáři>
# Popis:
# 	Úplná cesta k domovskému adresáři JTS na serveru JTS pro novou instalaci.
# Výchozí:
#  Nový	domovský adresář nové aplikace
# Omezení:
#  - <cesta_k_adresáři> musí odkazovat na existující adresář a musí končit
#    řetězcem 'server/conf'
#
NEW_JTS_HOME=

# Parametr: -newJTSContextRoot
# Použití: -newJTSContextRoot <kořen>
# Popis:
# 	Kontextový kořenový adresář nového serveru JTS.
# Výchozí:
# 	jts
# Omezení:
#  - <kořen> musí být platný název jednoho adresáře (tj. bez úvodního lomítka)
#
JTS_CONTEXT_ROOT=jts

# Parametr: -newApplicationTomcatHome
# Použití: -newApplicationTomcatHome <cesta k adresáři>
# Popis:
# 	Cesta ke kořenovému adresáři aplikací serveru Tomcat v nové instalaci.
# Výchozí:
# 	<není>
#
NEW_TOMCAT_HOME=

# Parametr: -newJTSTomcatHome
# Použití: -newJTSTomcatHome <cesta_k_adresáři>
# Popis:
# 	Cesta ke kořenovému adresáři JTS Tomcat na serveru JTS pro novou instalaci.
# Výchozí:
# 	<není>
#
NEW_JTS_TOMCAT_HOME=

# Parametr: -noPrompt
# Použití: -noPrompt
# Popis:
# 	Nevyžadovat potvrzení (tj. vždy použít noPrompt) při provádění veškerých příkazů repotools
# Výchozí:
# 	<není>
# Omezení:
#  - Jediné platné hodnoty: empty nebo 'noPrompt'
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Parametr: -overwrite
# Použití: -overwrite
# Popis:
# 	Vynutit přepsání (tj. vždy použít overwrite=yes) při provádění veškerých příkazů repotools
# Výchozí:
# 	<není>
# Omezení:
#  - Jediné platné hodnoty: empty nebo 'overwrite=yes'
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Parametr: -noVerify
# Použití: -noVerify
# Popis:
# 	Nevyžadovat potvrzení (tj. vždy použít noVerify) při provádění veškerých příkazů repotools
# Výchozí:
# 	<není>
# Omezení:
#  - Jediné platné hodnoty: empty nebo 'noVerify'
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Parametr: -noStepPrompt
# Použití: -noStepPrompt
# Popis:
# 	Nedotazovat se před jednotlivými kroky upgradu
# Výchozí:
# 	false
# Omezení:
#  - Jediné platné hodnoty: 'true' a 'false'
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false

# Parametr: -jtsURL
# Použití: -jtsURL <veřejný identifikátor URI JTS>
# Popis:
# 	Veřejný identifikátor URI JTS
# Výchozí:
# 	<není>
# Omezení:
#  - Akceptováno pouze pro upgrade RM
#  - Nezbytné pouze v distribuované implementaci, kde je produkt JTS spuštěn na jiné instanci serveru než aplikace RM
#
JTS_PUBLIC_URL=
