#!/bin/sh
# *******************************************************************************
#  Licenc hatálya alá eső anyagok - Az IBM tulajdona
#  (c) Copyright IBM Corporation 2006, 2012. Minden jog fenntartva.
#
#  Megjegyzés az Egyesült Államok kormányzati felhasználóinak korlátozott jogaira vonatkozóan:
#  A használatot, sokszorosítást vagy közzétételt az IBM vállalattal kötött GSA ADP Schedule
#  Contract szerződés szabályozza.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Adja meg a környezeti változókat, amelyek megfelelnek a
# # rm_upgrade.sh parancsfájl paramétereinek, és azok alapértelmezett értékeit
# #
# #===========================================================
# #
# # Ezt a fájlt a rm_upgrade.sh végrehajtásának kezdetekor
# # olvassa be a rendszer. Egy környezeti változót állít be
# # érvényes, előre meghatározott alapértelmezett értékkel rendelkező paraméterenként.
# #
# # A felhasználók módosíthatják az alapértelmezett értéket a
# # rm_upgrade.sh saját értékekkel való indításához,
# # anélkül, hogy meg kellene adniuk a paramétert és a
# # megfelelő értéküket a parancssorban.
# #
# # FIGYELMEZTETÉS:
# # Nem minden változót szükséges beállítani minden
# # alkalmazáshoz.  Olvasson el figyelmesen minden megjegyzést az
# # érték módosítása előtt.
# #
# #############################################################

# Paraméter: -oldApplicationHome
# Használat: -oldApplicationHome <könyvtár útvonala>
# Leírás:
# 	Az alkalmazás saját könyvtárának teljes elérési útvonala a régi telepítésben.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - ez egy kötelező paraméter
#  - a <könyvtár útvonala> egy létező könyvtár kell, hogy legyen a következő végződéssel: 'server/conf'
#    például: /Jazz/IBM/RRC_3.x/jazz/server/conf
#
OLD_APPLICATION_HOME=

# Paraméter: -applicationContextRoot
# Használat: -applicationContextRoot<gyökér>
# Leírás:
# 	Az alkalmazás kontextusgyökere.
# Alapértelmezett:
# 	rm
# Megszorítások:
#  - a <gyökér> egy érvényes, egyedüli könyvtárnévnek kell lennie (azaz ne tartalmazzon kezdő perjelet)
#
 APPLICATION_CONTEXT_ROOT=

# Paraméter: -oldJTSHome
# Használat: -oldJTSHome <könyvtár útvonala>
# Leírás:
# 	A JTS alapkönyvtár teljes elérési útvonala a régi telepítésben.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
# - <könyvtár útvonala> csak egy 'server/conf' végződésű létező könyvtár lehet
# - Csak RM és JTS frissítések esetén érvényes
#
OLD_JTS_HOME=

# Paraméter: -oldJTSContextRoot
# Használat: -oldJTSContextRoot <root>
# Leírás:
# 	A régi telepítés JTS kontextusgyökere.
# Alapértelmezett:
# 	jts
# Megszorítások:
#  - Csak RM frissítés esetén
#  - a <gyökér> egy érvényes, egyedüli könyvtárnévnek kell lennie (azaz ne tartalmazzon kezdő perjelet)
#
OLD_JTS_CONTEXT_ROOT=

# Paraméter: -updateTomcatFiles
# Használat: -updateTomcatFiles <yes | no>
# Leírás:
# 	Frissítse-e a Tomcat konfigurációs fájlokat?
# Alapértelmezés:
# 	yes
# Megszorítások:
#  - Csak a 'yes' és a 'no' érvényes érték
#
UPDATE_TOMCAT_FILES=yes

# Paraméter: -oldApplicationTomcatHome
# Használat: -oldApplicationTomcatHome <könyvtár útvonala>
# Leírás:
# 	Az alkalmazás Tomcat gyökérkönyvtárának teljes elérési útvonala a régi telepítésben.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - Kizárólag RM frissítés esetén
#  - Létező könyvtárnak kell lennie
#
OLD_TOMCAT_HOME=

# Paraméter: -oldJTSTomcatHome
# Használat: -oldJTSTomcatHome <könyvtár útvonala>
# Leírás:
# 	A JTS Tomcat gyökérkönyvtárának teljes elérési útvonala a régi telepítésben.
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - Kizárólag RM frissítés esetén
#  - Létező könyvtárnak kell lennie
#
OLD_JTS_TOMCAT_HOME=

# Paraméter: -newApplicationHome
# Használat: -newApplicationHome <könyvtár útvonala>
# Leírás:
# 	Az alkalmazás alapkönyvtárának elérési útvonala az új telepítésben.
# Alapértelmezés:
# 	conf
# Megszorítások:
#  - Kizárólag RTC, QM és RM frissítés esetében engedélyezett
#  - Elfogadása esetén ez egy kötelező paraméter
#  - a <könyvtár útvonala> egy létező könyvtár kell, hogy legyen a következő végződéssel: 'server/conf'
#    például: /Jazz/IBM/RRC_3.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"

# Paraméter: -newJTSHome
# Használat: -newJTSHome <könyvtár útvonala>
# Leírás:
# 	Az új telepítés által használt JTS alapkönyvtárának teljes elérési útvonala.
# Alapértelmezés:
# 	Az új alkalmazás saját könyvtára
# Megszorítások:
#  - a <könyvtár útvonala> egy létező könyvtárnak kell lennie a következő végződéssel: 'server/conf'
#
NEW_JTS_HOME=

# Paraméter: -newJTSContextRoot
# Használat: -newJTSContextRoot <gyökér>
# Leírás:
# 	Az új JTS kiszolgáló kontextusgyökere.
# Alapértelmezés:
# 	jts
# Megszorítások:
#  - a <gyökér> egy érvényes, egyedüli könyvtárnévnek kell lennie (azaz ne tartalmazzon kezdő perjelet)
#
JTS_CONTEXT_ROOT=jts

# Paraméter: -newApplicationTomcatHome
# Használat: -newApplicationTomcatHome <könyvtár útvonala>
# Leírás:
# 	A Tomcat alkalmazás gyökérkönyvtárának elérési útvonala az új telepítésben.
# Alapértelmezés:
# 	<nincs>
#
NEW_TOMCAT_HOME=

# Paraméter: -newJTSTomcatHome
# Használat: -newJTSTomcatHome <könyvtár útvonala>
# Leírás:
# 	Az új telepítés által használt JTS kiszolgáló JTS Tomcat gyökérkönyvtárának elérési útvonala.
# Alapértelmezés:
# 	<nincs>
#
NEW_JTS_TOMCAT_HOME=

# Paraméter: -noPrompt
# Használat: -noPrompt
# Leírás:
# 	Ne kérdezzen rá semmilyen jóváhagyásra (azaz minden esetben noPrompt használata) bármely repotools parancs végrehajtása közben
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'noPrompt'
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Paraméter: -overwrite
# Használat: -overwrite
# Leírás:
# 	Kényszerített felülírás (azaz minden esetben overwrite=yes használata) bármely repotools parancs végrehajtása közben
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'overwrite=yes'
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Paraméter: -noVerify
# Használat: -noVerify
# Leírás:
# 	Ne hajtson végre semmilyen ellenőrzést (azaz minden esetben noVerify használata) bármely repotools parancs végrehajtása közben
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
#  - A kizárólag érvényes értékek: üres vagy 'noVerify'
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Paraméter: -noStepPrompt
# Használat: -noStepPrompt
# Leírás:
# 	Ne kérdezzen rá minden frissítési lépés előtt
# Alapértelmezés:
# 	false
# Megszorítások:
#  - Az egyedül érvényes értékek a következők: 'true' vagy 'false'
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false

# Paraméter: -jtsURL
# Használat: -jtsURL <JTS nyilvános URI>
# Leírás:
# 	A JTS nyilvános URI azonosítója
# Alapértelmezés:
# 	<nincs>
# Megszorítások:
# - Csak RM frissítés esetén elfogadható
# - Csak osztott telepítésben szükséges, ahol a JTS az RM alkalmazástól eltérő kiszolgálópéldányon fut.
#
JTS_PUBLIC_URL=
